package relational;

import java.io.Serializable;
import java.util.*;

/**
 * A ResultSet is an evaluated query or a table -- a static list of
 * rows.
 */
public interface ResultSet
	extends Serializable {

	public int size();
		// return the number of rows in the result set
	// TODO: deprecate this hummer
	public Enumeration getEnumeration();
	public Iterator iterator();
	public Vector getVector();
	public boolean hasMember(Row o);

	public ColumnSpec getColumnSpec();
	public FromClause getFromClause();
		// returns NULL if this result set doesn't implement a complete
		// FromClause.
}
